Ejemplo n.º 1
0
        PublishSheetProperties(Autodesk.AutoCAD.Publishing.PublishSheetEventArgs e)
        {
            AcPb.EPlotProperty   prop;
            AcPb.EPlotProperty[] propArray = new AcPb.EPlotProperty[4];

            //Get the linear units
            //
            prop         = new AcPb.EPlotProperty();
            prop.Name    = "_UnitLinear";
            prop.Value   = "inch";
            propArray[0] = prop;

            //Get the angular units
            //
            prop         = new AcPb.EPlotProperty();
            prop.Name    = "_UnitAngular";
            prop.Value   = "radian";
            propArray[1] = prop;

            //Get the area units.
            //
            prop         = new AcPb.EPlotProperty();
            prop.Name    = "_UnitArea";
            prop.Value   = "square_foot";
            propArray[2] = prop;

            //Get the volume units
            //
            prop         = new AcPb.EPlotProperty();
            prop.Name    = "_UnitVolume";
            prop.Value   = "cubic_foot";
            propArray[3] = prop;

            e.AddPagePropertyRange(propArray);
        }
Ejemplo n.º 2
0
 event_EndSheet(object sender, Autodesk.AutoCAD.Publishing.PublishSheetEventArgs e)
 {
     PrintReactorMessage("End Sheet");
     if (m_showDetails)
     {
         Snoop.Forms.Objects dbox = new Snoop.Forms.Objects(e);
         dbox.Text = "EndSheet";
         dbox.ShowDialog();
     }
 }
Ejemplo n.º 3
0
        event_BeginSheet(object sender, Autodesk.AutoCAD.Publishing.PublishSheetEventArgs e)
        {
            PrintReactorMessage("Begin Sheet");
            if (m_showDetails)
            {
                Snoop.Forms.Objects dbox = new Snoop.Forms.Objects(e);
                dbox.Text = "BeginSheet";
                dbox.ShowDialog();
            }

            if (m_publishProps)
            {
                PublishSheetProperties(e);
            }
        }